URL
Scrape any Lowe's page using a direct URL, with support for store and delivery ZIP code localization.
The lowes data source is designed to retrieve any Lowe's URLs.
Request samples
In the samples below, we make a request to retrieve an example Lowes URL.
curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
"source": "lowes",
"url": "https://www.lowes.com/pd/Apple-iPhone-13-Pro-Clear-Case-with-MagSafe/5012490299",
"store_id": 2752,
"delivery_zip": "22313",
"render": "html"
}'import requests
from pprint import pprint
# Structure payload.
payload = {
'source': 'lowes',
'url': 'https://www.lowes.com/pd/Apple-iPhone-13-Pro-Clear-Case-with-MagSafe/5012490299',
'store_id': 2752,
'delivery_zip': '22313',
'render': 'html'
}
# Get response.
response = requests.request(
'POST',
'https://realtime.oxylabs.io/v1/queries',
auth=('USERNAME', 'PASSWORD'),
json=payload,
)
# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())Request parameter values
Generic
Basic setup and customization options for scraping Lowe's URLs.
- mandatory parameter
Localization
Customize results based on store locations, delivery areas.
Parameter
Description
Default Value
Type
store_id
Specify a store.
-
Integer
delivery_zip
Specify delivery location ZIP code.
-
String
Last updated
Was this helpful?

